jokosher crashed with TypeError in OnDraw()

Bug #548761 reported by Yura Tolstik on 2010-03-26
38
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Jokosher
Undecided
Unassigned
jokosher (Ubuntu)
Medium
Michael Sheldon

Bug Description

Binary package hint: jokosher

jokosher crashed in ubuntu 10.04

ProblemType: Crash
Architecture: i386
Date: Fri Mar 26 14:23:51 2010
DistroRelease: Ubuntu 10.04
ExecutablePath: /usr/share/jokosher/jokosher
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
InterpreterPath: /usr/bin/python2.6
Package: jokosher 0.11.4-1
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/jokosher
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
PythonArgs: ['/usr/bin/jokosher']
SourcePackage: jokosher
Title: jokosher crashed with TypeError in OnDraw()
Traceback:
 Traceback (most recent call last):
   File "/usr/share/jokosher/Jokosher/VUWidget.py", line 324, in OnDraw
     ctx.reset_clip()
 TypeError: Required argument 'cr' (pos 1) not found
Uname: Linux 2.6.32-14-generic i686
UserGroups: adm admin cdrom dialout libvirtd lpadmin plugdev sambashare

Related branches

Yura Tolstik (yltsrc) wrote :
tags: removed: need-duplicate-check
visibility: private → public
Ricardo Lameiro (rlameiro) wrote :

Happened to me when I pressed the audio Mixer.

the error on the console whas this Python callback, I think it is related to the GUI.
Ubuntu/UbuntuStudio beta2 10.04

lameiro@studiobeta:~$ jokosher
Traceback (most recent call last):
  File "/usr/share/jokosher/Jokosher/VUWidget.py", line 324, in OnDraw
    ctx.reset_clip()
TypeError: Required argument 'cr' (pos 1) not found

Changed in jokosher (Ubuntu):
status: New → In Progress
assignee: nobody → Michael Sheldon (michael-sheldon)

the terminal output for me after starting the mixers in jokosher was:

Traceback (most recent call last):
  File "/usr/share/jokosher/Jokosher/VUWidget.py", line 324, in OnDraw
    ctx.reset_clip()
TypeError: Required argument 'cr' (pos 1) not found
Traceback (most recent call last):
  File "/usr/share/jokosher/Jokosher/VUWidget.py", line 324, in OnDraw
    ctx.reset_clip()
TypeError: Required argument 'cr' (pos 1) not found

hope this helps

Darrin

On Wed, Apr 21, 2010 at 8:14 AM, Michael Sheldon <email address hidden> wrote:

> ** Branch linked: lp:~michael-sheldon/jokosher/cairo_fix
>
> ** Changed in: jokosher (Ubuntu)
> Status: New => In Progress
>
> ** Changed in: jokosher (Ubuntu)
> Assignee: (unassigned) => Michael Sheldon (michael-sheldon)
>
> --
> jokosher crashed with TypeError in OnDraw()
> https://bugs.launchpad.net/bugs/548761
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “jokosher” package in Ubuntu: In Progress
>
> Bug description:
> Binary package hint: jokosher
>
> jokosher crashed in ubuntu 10.04
>
> ProblemType: Crash
> Architecture: i386
> Date: Fri Mar 26 14:23:51 2010
> DistroRelease: Ubuntu 10.04
> ExecutablePath: /usr/share/jokosher/jokosher
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
> InterpreterPath: /usr/bin/python2.6
> Package: jokosher 0.11.4-1
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/bin/jokosher
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
> PythonArgs: ['/usr/bin/jokosher']
> SourcePackage: jokosher
> Title: jokosher crashed with TypeError in OnDraw()
> Traceback:
> Traceback (most recent call last):
> File "/usr/share/jokosher/Jokosher/VUWidget.py", line 324, in OnDraw
> ctx.reset_clip()
> TypeError: Required argument 'cr' (pos 1) not found
> Uname: Linux 2.6.32-14-generic i686
> UserGroups: adm admin cdrom dialout libvirtd lpadmin plugdev sambashare
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/jokosher/+bug/548761/+subscribe
>

--
My profile:
http://www.google.com/profiles/darrinritter

This is due to an upstream bug in the python-cairo bindings and has been worked around in the linked branch, it's just waiting to be merged into trunk.

Darrin Ritter (darrinritter) wrote :

Hi Michael

thank you for your reply, so in layman terms you are expecting to release a
deb package soon that will fix the problem.

Sounds great

Darrin

On Wed, Apr 21, 2010 at 8:43 PM, Michael Sheldon <email address hidden> wrote:

> This is due to an upstream bug in the python-cairo bindings and has been
> worked around in the linked branch, it's just waiting to be merged into
> trunk.
>
> --
> jokosher crashed with TypeError in OnDraw()
> https://bugs.launchpad.net/bugs/548761
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “jokosher” package in Ubuntu: In Progress
>
> Bug description:
> Binary package hint: jokosher
>
> jokosher crashed in ubuntu 10.04
>
> ProblemType: Crash
> Architecture: i386
> Date: Fri Mar 26 14:23:51 2010
> DistroRelease: Ubuntu 10.04
> ExecutablePath: /usr/share/jokosher/jokosher
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
> InterpreterPath: /usr/bin/python2.6
> Package: jokosher 0.11.4-1
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/bin/jokosher
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
> PythonArgs: ['/usr/bin/jokosher']
> SourcePackage: jokosher
> Title: jokosher crashed with TypeError in OnDraw()
> Traceback:
> Traceback (most recent call last):
> File "/usr/share/jokosher/Jokosher/VUWidget.py", line 324, in OnDraw
> ctx.reset_clip()
> TypeError: Required argument 'cr' (pos 1) not found
> Uname: Linux 2.6.32-14-generic i686
> UserGroups: adm admin cdrom dialout libvirtd lpadmin plugdev sambashare
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/jokosher/+bug/548761/+subscribe
>

--
My profile:
http://www.google.com/profiles/darrinritter

I'm not sure when exactly we'll be making our next release, possibly once this is merged and the currently ongoing accessibility improvements are finished. However it certainly won't make it into Lucid as the final freeze has already passed, so you'll need to download the updated package from http://www.jokosher.org/download when it's released.

If you want to make use of the fixed version in the meantime simply do:

bzr branch lp:~michael-sheldon/jokosher/cairo_fix
cd cairo_fix
./Jokosher/Jokosher

Darrin Ritter (darrinritter) wrote :

thanks

On Thu, Apr 22, 2010 at 3:08 AM, Michael Sheldon <email address hidden> wrote:

> I'm not sure when exactly we'll be making our next release, possibly
> once this is merged and the currently ongoing accessibility improvements
> are finished. However it certainly won't make it into Lucid as the final
> freeze has already passed, so you'll need to download the updated
> package from http://www.jokosher.org/download when it's released.
>
> If you want to make use of the fixed version in the meantime simply do:
>
> bzr branch lp:~michael-sheldon/jokosher/cairo_fix
> cd cairo_fix
> ./Jokosher/Jokosher
>
> --
> jokosher crashed with TypeError in OnDraw()
> https://bugs.launchpad.net/bugs/548761
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “jokosher” package in Ubuntu: In Progress
>
> Bug description:
> Binary package hint: jokosher
>
> jokosher crashed in ubuntu 10.04
>
> ProblemType: Crash
> Architecture: i386
> Date: Fri Mar 26 14:23:51 2010
> DistroRelease: Ubuntu 10.04
> ExecutablePath: /usr/share/jokosher/jokosher
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
> InterpreterPath: /usr/bin/python2.6
> Package: jokosher 0.11.4-1
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/bin/jokosher
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
> PythonArgs: ['/usr/bin/jokosher']
> SourcePackage: jokosher
> Title: jokosher crashed with TypeError in OnDraw()
> Traceback:
> Traceback (most recent call last):
> File "/usr/share/jokosher/Jokosher/VUWidget.py", line 324, in OnDraw
> ctx.reset_clip()
> TypeError: Required argument 'cr' (pos 1) not found
> Uname: Linux 2.6.32-14-generic i686
> UserGroups: adm admin cdrom dialout libvirtd lpadmin plugdev sambashare
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/jokosher/+bug/548761/+subscribe
>

--
My profile:
http://www.google.com/profiles/darrinritter

Hm, this means that mixing is broken in the LTS release? Is there a possibility to get this into lucid-updates? I really like Jokosher, but it’s difficult to promote it when one has to use a development branch in order to get it working properly.

Alessio Treglia (quadrispro) wrote :

Patch uploaded to Lucid, sitting in the queue.

Thanks for the great work!

Changed in jokosher (Ubuntu):
status: In Progress → Fix Committed
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jokosher - 0.11.5-1ubuntu1

---------------
jokosher (0.11.5-1ubuntu1) lucid; urgency=low

  * Workaround python-cairo bug to avoid crash after starting mixer;
    fixes LP: #548761.
 -- Alessio Treglia <email address hidden> Sun, 25 Apr 2010 03:56:43 +0200

Changed in jokosher (Ubuntu):
status: Fix Committed → Fix Released

That's great, thanks very much for getting it into Lucid :).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers